<?xml version="1.0" encoding="UTF-8"?>
 
<configuration> 
<system.webServer> 
        <rewrite> 
            <rules> 
                <!--重写PLUG--> 
                <rule name="plug"> 
                    <match url="^plug/([\w\d]*)\.html(.*)" ignoreCase="false"/> 
                    <action type="Rewrite" url="plug/{R:1}.asp" /> 
                </rule> 
                <rule name="plug_book"> 
                    <match url="^plug/book\.html\?page=(\d+)" ignoreCase="false"/> 
                    <action type="Rewrite" url="plug/book.asp?page={R:1}" /> 
                </rule> 
                <rule name="plug_book2"> 
                    <match url="^plug/book/(\d+)" ignoreCase="false"/> 
                    <action type="Rewrite" url="plug/book.asp?page={R:1}" /> 
                </rule> 
                <rule name="plug_rss"> 
                    <match url="^plug/rss/(\d+)_(\d+)\.html" ignoreCase="false"/> 
                    <action type="Rewrite" url="plug/rss.asp?id={R:1}&amp;page={R:2}" /> 
                </rule> 
                <rule name="plug_rss2"> 
                    <match url="^plug/rss/(\d+)\.html" ignoreCase="false"/> 
                    <action type="Rewrite" url="plug/rss.asp?id={R:1}" /> 
                </rule> 
                <rule name="plug_comment"> 
                    <match url="^plug/comment/(\d+)" ignoreCase="false"/> 
                    <action type="Rewrite" url="plug/comment.asp?id={R:1}" /> 
                </rule> 
                <rule name="plug_comment2"> 
                    <match url="^plug/comment/(\d+)/(\d+)" ignoreCase="false"/> 
                    <action type="Rewrite" url="plug/comment.asp?id={R:1}&amp;page={R:2}" /> 
                </rule>
                <rule name="plug_tags"> 
                    <match url="^plug/tags/(\d+)" ignoreCase="false"/> 
                    <action type="Rewrite" url="plug/tags.asp?page={R:1}" /> 
                </rule> 
                <rule name="plug_tags2"> 
                    <match url="^plug/tags/(.*)_(\d+)" ignoreCase="false"/> 
                    <action type="Rewrite" url="plug/tags.asp?tag={R:1}&amp;page={R:2}" /> 
                </rule>
                <rule name="plug_tags3"> 
                    <match url="^plug/tags/(.*)" ignoreCase="false"/> 
                    <action type="Rewrite" url="plug/tags.asp?tag={R:1}" /> 
                </rule>

                <!--重写Goods--> 
                <rule name="goods"> 
                    <match url="^goods/([^_]*)_(\d+)\.html" ignoreCase="false"/> 
                    <action type="Rewrite" url="goods.asp?p={R:1}&amp;page={R:2}" /> 
                </rule> 
                <rule name="goods_1"> 
                    <match url="^goods/([^_]*)\.html" ignoreCase="false"/> 
                    <action type="Rewrite" url="goods.asp?p={R:1}" /> 
                </rule>

                <!--重写品牌--> 
                <rule name="brand"> 
                    <match url="^brand/([\w\d\/-]*)/cid_(\d+)/(\d+)/$" ignoreCase="false"/> 
                    <action type="Rewrite" url="brand.asp?root={R:1}&amp;cid={R:2}&amp;page={R:3}" /> 
                </rule> 
				<rule name="brand2"> 
                    <match url="^brand/([\w\d\/-]*)/cid_(\d+)/" ignoreCase="false"/> 
                    <action type="Rewrite" url="brand.asp?root={R:1}&amp;cid={R:2}" /> 
                </rule>
				<rule name="brand3"> 
                    <match url="^brand/([\w\d\/-]*)/(\d+)/$" ignoreCase="false"/> 
                    <action type="Rewrite" url="brand.asp?root={R:1}&amp;page={R:2}" /> 
                </rule>
				<rule name="brand4"> 
                    <match url="^brand/([\w\d\/-]*)/$" ignoreCase="false"/> 
                    <action type="Rewrite" url="brand.asp?root={R:1}" /> 
                </rule>

                <!--重写内容--> 
				<rule name="content"> 
                    <match url="^([\w\d\/-]*)/(?!index_)([\w\d-]*)_(\d+)\.html" ignoreCase="false"/> 
                    <action type="Rewrite" url="show.asp?root={R:2}&amp;cpage={R:3}" /> 
                </rule> 
				<rule name="content_list"> 
                    <match url="^(?!lib)([\w\d\/-]*)/(?!ey_|index_)([\w\d-]*).html" ignoreCase="false"/> 
                    <action type="Rewrite" url="show.asp?root={R:2}" /> 
                </rule>
				
				<!--重写列表--> 
				<rule name="list_list_page"> 
                    <match url="^([\w\d\/]*)/index_(\d+)/.html$" ignoreCase="false"/> 
                    <action type="Rewrite" url="list.asp?root={R:1}&amp;page={R:2}" /> 
                </rule>
				<rule name="list_list"> 
                    <match url="^([\w\d\/-]*)/(\d+)/$" ignoreCase="false"/> 
                    <action type="Rewrite" url="list.asp?root={R:1}&amp;page={R:2}" /> 
                </rule>
				<rule name="list"> 
                    <match url="^(?!{admin}|weixin|user|html|plug|theme|lib|upfile|goods)([\w\d\/-]*)/$" ignoreCase="false"/> 
                    <action type="Rewrite" url="list.asp?root={R:1}" /> 
                </rule> 

                <!--首页--> 
                <rule name="home"> 
                    <match url="^$" /> 
                    <action type="Rewrite" url="Index.asp" /> 
                </rule> 

                <!--分站--> 
                <rule name="city"> 
                    <match url="^([A-Za-z]*)\.html$" /> 
                    <action type="Rewrite" url="city.asp?area={R:1}" /> 
                </rule> 

                <!--重写微信列表--> 
                <rule name="wxlist"> 
                    <match url="^weixin/list/(\d+)" ignoreCase="false"/> 
                    <action type="Rewrite" url="weixin/list.asp?cateid={R:1}" /> 
                </rule> 
                <rule name="wxlist2"> 
                    <match url="^weixin/list/(\d+)\?(.*)" ignoreCase="false"/> 
                    <action type="Rewrite" url="weixin/list.asp?cateid={R:1}" /> 
                </rule> 

                <!--重写微信内容--> 
                <rule name="wxcontent"> 
                    <match url="^weixin/show/(\d+)" ignoreCase="false"/>
                    <action type="Rewrite" url="weixin/show.asp?id={R:1}" /> 
                </rule>
                <rule name="wxcontent2"> 
                    <match url="^weixin/show/(\d+)\?(.*)" ignoreCase="false"/>
                    <action type="Rewrite" url="weixin/show.asp?id={R:1}" /> 
                </rule>
                
                <!--.asp--> 
                <rule name="asp"> 
                    <match url="^([\w\d\/-]*).jsp(.*)" /> 
                    <action type="Rewrite" url="{R:1}.asp{R:2}" /> 
                </rule>    
            </rules> 
        </rewrite> 
    </system.webServer> 
</configuration> 